ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sid Wagle" <swa...@hortonworks.com>
Subject Re: Review Request 27458: Version comparison fails for GlusterFS
Date Sat, 01 Nov 2014 00:56:06 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/27458/#review59446
-----------------------------------------------------------

Ship it!


Ship It!

- Sid Wagle


On Nov. 1, 2014, 12:37 a.m., Alejandro Fernandez wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/27458/
> -----------------------------------------------------------
> 
> (Updated Nov. 1, 2014, 12:37 a.m.)
> 
> 
> Review request for Ambari and Scott Creeley.
> 
> 
> Bugs: AMBARI-8054
>     https://issues.apache.org/jira/browse/AMBARI-8054
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> GlusterFS doesn't install due to version comparison error.
> 
> ```
> Traceback (most recent call last):
> File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/HIVE/package/scripts/hcat_client.py",
line 43, in <module>
> HCatClient().execute()
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 122, in execute
> method(env)
> File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/HIVE/package/scripts/hcat_client.py",
line 28, in install
> self.configure(env)
> File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/HIVE/package/scripts/hcat_client.py",
line 31, in configure
> import params
> File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/HIVE/package/scripts/params.py",
line 37, in <module>
> if compare_versions(hdp_stack_version, "2.2.0.0") >= 0:
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/version.py",
line 65, in compare_versions
> return cmp(_normalize(version1, desired_segments=max_segments), _normalize(version2,
desired_segments=max_segments))
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/version.py",
line 34, in _normalize
> return [int(x) for x in v_list]
> ValueError: invalid literal for int() with base 10: ''
> ```
> 
> 
> Diffs
> -----
> 
>   ambari-common/src/main/python/resource_management/libraries/functions/version.py ee9c675

>   ambari-server/src/main/resources/stacks/HDP/2.0.6/services/HIVE/package/scripts/params.py
6ab4f32 
>   ambari-server/src/main/resources/stacks/HDP/2.0.6/services/HIVE/package/scripts/webhcat.py
6156ccf 
> 
> Diff: https://reviews.apache.org/r/27458/diff/
> 
> 
> Testing
> -------
> 
> Ran unit tests.
> 
> Total run:682
> Total errors:0
> Total failures:0
> OK
> 
> 
> Thanks,
> 
> Alejandro Fernandez
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message